A Call has been added to a Queue and the Enqueue command’s notificationUrl is being invoked. This is a notification only; any PerCL returned will be ignored.
| Request Parameter | Type | Description |
|---|---|---|
| requestType | string | Context or reason why this request is being made. Will be addToQueueNotification - A call has been added to a queue and the Enqueue command’s notificationUrl is being invoked. |
| callId | string | Unique ID for this Call, generated by FreeClimb. |
| accountId | string | Account ID associated with your account. |
| from | string | Phone number of the party that initiated the Call (in E.164 format). |
| to | string | Phone number provisioned to the customer and to which this Call is directed (in E.164 format). |
| callStatus | string | Descriptive status for the call. Valid values are: • ringing - Call is currently ringing.• inProgress - Call was answered and is currently in progress (not queued, not in conference).• completed - Call ended normally.• busy - Caller received a busy signal.• failed - Call could not be completed as dialed, most likely because the phone number was non-existent.• noAnswer - Call ended without being answered.• canceled - Call was canceled via the REST API while queued or ringing. |
| direction | string | String describing the direction of the Call – inbound for inbound calls, outboundAPI for calls initiated via the REST API, or outboundDial for calls initiated by the OutDial command. |
| conferenceId | string | This is only populated if request pertains to a Conference. Otherwise, it is set to null. |
| queueId | string | ID of the Queue the caller is in. |